% !TeX spellcheck = en_US
\graphicspath{{src/part03_optimization/img/}}


\section{Optmización de mallas (MWEs)}
\begin{frame}[plain,noframenumbering]{}
    
    %\centering
    \begin{centering}
        \hfill
        \begin{beamercolorbox}[rounded=true,center,sep=0.2em,wd=0.6\textwidth]{frametitle}
            \Huge Mesh Optimization
        \end{beamercolorbox}
        \hfill
    \end{centering}
    
    \begin{center}
        \begin{minipage}{0.75\textwidth}
            
            
            \begin{block}{\textit{Minimal Working Examples} (MWEs)}
                \begin{itemize}
                \item Regular hexagon
                \item Rectangular parallelogram 
                \item Regular icosahedron
                \item Cuboid
            \end{itemize}
            \end{block}
            
        \end{minipage}
    \end{center}    
    
\end{frame}


\begin{frame}[t]{Mesh Optimization}
    
    \begin{center}
    \begin{columns}
        
        \column[c]{0.40\textwidth}
        %\begin{block}{\textit{Minimal Working Examples} (MWEs)}
        \begin{block}{MWEs}
            {\setbeamercovered{transparent}
            \begin{itemize}[<+- | alert@+>]
                \item Regular hexagon
                \item Rectangular parallelogram
                \item Regular icosahedron
                \item Cuboid
            \end{itemize}
            }
        
        \end{block}     
        
        \column[c]{0.60\textwidth}
        \begin{block}{}
            \includegraphics<1>[height=0.6\textheight]{mwe.case_1.hexagon_sketch.pdf}
            \includegraphics<2>[height=0.6\textheight]{mwe.case_2.rectangle_sketch.pdf}\par
            \includegraphics<3>[height=0.6\textheight]{mwe.case_icosahedron_sketch.pdf}\par
            \includegraphics<4>[height=0.6\textheight]{mwe.case.cuboid_sketch.pdf}\par
        \end{block}
    
        \begin{itemize}
            \item \textbf{A}: free node
            \item $\u_0$: optimal displacement
        \end{itemize}
        
        
    \end{columns}
    \end{center}
    
\end{frame}

%
% Hexagono regular
%
\subsection{Regular Hexagon}

\begin{frame}{Regular hexagon - no recruitment}
    
    \vspace{-2.6em}
    \begin{center}
    \begin{columns}
        \column[t]{0.4\textwidth}
        \begin{block}{Initial discretization}
            \centering
            \includegraphics[height=0.45\textheight]{hexagon.k_ratio.stiffening.init_mesh.png}
        \end{block}
    
        \column[t]{0.4\textwidth}
        \begin{block}{}\vspace{-1.2em}
            \begin{figure}
                \centering
                \includegraphics[height=0.55\textheight]{mwe.case_1.displacements_solution_no_remodeling.pdf}
            \end{figure}
        \end{block}
    \end{columns}
    \end{center}
    
    \vspace{-1.5em}
    \begin{block}{\hspace{2.5em}Results}\vspace{-0.8em}
        \begin{figure}
            \centering
            \begin{subfigure}{0.20\textwidth}
                \centering
                \includegraphics[width=0.8\textwidth]{hexagon.k_ratio.stiffening.0000.png}\vspace{-0.5em}
                \caption*{$k_f/k_g = 10^{-1}$}
            \end{subfigure}
            %\hfill
            %\vspace{1em}
            \begin{subfigure}{0.20\textwidth}
                \centering
                \includegraphics[width=0.8\textwidth]{hexagon.k_ratio.stiffening.0001.png}\vspace{-0.5em}
                \caption*{$k_f/k_g = 10^{0}$}
            \end{subfigure}
            %
            %
            %
            \begin{subfigure}{0.20\textwidth}
                \centering
                \includegraphics[width=0.8\textwidth]{hexagon.k_ratio.stiffening.0002.png}\vspace{-0.5em}
                \caption*{$k_f/k_g = 10^{1}$}
            \end{subfigure}
            %\hfill
            \begin{subfigure}{0.20\textwidth}
                \centering
                \includegraphics[width=0.8\textwidth]{hexagon.k_ratio.stiffening.0003.png}\vspace{-0.5em}
                \caption*{$k_f/k_g = 10^{2}$}
            \end{subfigure}
        \end{figure}
    \end{block}
\end{frame}



\begin{frame}{Regular Hexagon - recruitment}
    \vspace{-3.5em}
    \begin{center}
    \begin{columns}
        
        \column[t]{0.4\textwidth}
        \begin{block}{}
            \centering
            \includegraphics[height=0.4\textheight]{mwe.case_1.hexagon_sketch.pdf}
        \end{block}

        \column[t]{0.4\textwidth}
        \begin{block}{}
            \centering
            \includegraphics[height=0.45\textheight]{case_1_displacements_sol.pdf}
        \end{block}
    \end{columns}

    \vspace{-0.8em}

    \begin{columns}
        \column[t]{0.30\textwidth}
        \begin{block}{\centering $k_f/k_g = 0.1$}\vspace{0.1em}
            \centering
            \href{run:src/part03_optimization/img/hexagon.kratio_0.1.mp4?autostart&loop}
            {\includegraphics[height=0.4\textheight]{hexagon.kratio_thumbnail.png}}
        \end{block}
        
        \column[t]{0.30\textwidth}
        \begin{block}{\centering $k_f/k_g = 1.0$}\vspace{0.1em}
            \centering
            \href{run:src/part03_optimization/img/hexagon.kratio_1.0.mp4?autostart&loop}
            {\includegraphics[height=0.4\textheight]{hexagon.kratio_thumbnail.png}}
        \end{block}
        
        \column[t]{0.30\textwidth}
        \begin{block}{\centering $k_f/k_g = 10.0$}\vspace{0.1em}
            \centering
            \href{run:src/part03_optimization/img/kratio_10.0.mp4?autostart&loop}
            {\includegraphics[height=0.4\textheight]{hexagon.kratio_thumbnail.png}}
        \end{block}

    \end{columns}

    \end{center}
    
\end{frame}


%
% Cuadrilatero rectangular
%
\subsection{Rectangular Parallelogram}
\begin{frame}{Rectangular parallelogram - oscillatory phenomenon}
    
    \vspace{-2em}
    
    \begin{columns}
        \column[c]{0.50\textwidth}
        \begin{block}{}
            \centering
            \includegraphics[height=0.4\textheight]{mwe.case_2.rectangle_sketch.pdf}
        \end{block}
        \vspace{-2em}
        \begin{block}{}
            \centering
            \includegraphics[height=0.5\textheight]{case_2_rectangle_displacements_sol.pdf}
        \end{block}
        
        %\hfill
        \column[c]{0.25\textwidth}
        \begin{block}{\centering $k_f/k_g = 0.01$}\vspace{0.1em}
            \centering
            \href{run:src/part03_optimization/img/4elem_no_recruitment_kratio_0.01.mp4?autostart&loop}
            {\includegraphics[height=0.75\textheight]{4elem_thumbnail.png}}
        \end{block}
    
        \column[c]{0.25\textwidth}
        \begin{block}{\centering $k_f/k_g = 1.0$}\vspace{0.1em}
            \centering
            \href{run:src/part03_optimization/img/4elem_no_recruitment_kratio_1.mp4?autostart&loop}
            {\includegraphics[height=0.75\textheight]{4elem_thumbnail.png}}
        \end{block}
        
    \end{columns}
    
\end{frame}

\begin{frame}{Rectangular parallelogram - recruitment}
    
    \vspace{-3em}

\begin{columns}
    \column[t]{0.37\textwidth}
    \begin{block}{}
        \centering
        \includegraphics[height=0.4\textheight]{mwe.case_2.rectangle_sketch.pdf}
    \end{block}
    \vspace{-2em}
    \begin{block}{}
        \centering
        \includegraphics[height=0.5\textheight]{case_3_rectangle_with_recruitment_displacements_sol.pdf}
    \end{block}
    
    \hfill
    \column[t]{0.21\textwidth}\vspace{1.5em}
    \begin{block}{\centering no recruitment \vphantom{$\lambda_{max}$}}
        \centering
        \href{run:src/part03_optimization/img/4elem_no_recruitment_kratio_1.mp4?autostart&loop}
        {\includegraphics[width=1.0\textwidth]{4elem_thumbnail.png}}
    \end{block}

    \column[t]{0.21\textwidth}\vspace{1.5em}
    \begin{block}{\centering $\lambda_{max} = 15.0$}
        \centering
        \href{run:src/part03_optimization/img/case03_recruitment_lambda_max_15.mp4?autostart&loop}
        {\includegraphics[width=1.0\textwidth]{4elem_thumbnail.png}}
    \end{block}
    
    \column[t]{0.21\textwidth}\vspace{1.5em}
    \begin{block}{\centering $\lambda_{max} = 1.5$}
        \centering
        \href{run:src/part03_optimization/img/case03_recruitment_lambda_max_1.5.mp4?autostart&loop}
        {\includegraphics[width=1.0\textwidth]{4elem_thumbnail.png}}
    \end{block}

\end{columns}
    
\vspace{-2.5em}    
\begin{columns}
    \column[t]{0.37\textwidth}
    
    \column[t]{0.63\textwidth}
    \vspace{-2.0em}
    \par\noindent\rule{0.5\textwidth}{0.5pt}\\[0.1em]
    \small
    $k_f/k_g = 1.0$
    
\end{columns}
    
    
\end{frame}


%
% Icosaedro
%
\subsection{Regular Icosahedron}
\begin{frame}{Regular Icosahedron}
    

    \begin{columns}
        \column[t]{0.40\textwidth}\vspace{-3.0em}
        \begin{block}{}
            \centering
            \includegraphics[height=0.40\textheight]{mwe.case_icosahedron_sketch.pdf}
        \end{block}
    
        \vspace{-1.75em}
        \begin{block}{}
            \centering
            \includegraphics[height=0.50\textheight]{mwe.case_icosahedron_displacements_sol.pdf}
        \end{block}
        
        \column[t]{0.3\textwidth}%\vspace{-2em}
        \begin{block}{\centering no recruitment \vphantom{$\lambda_{m}$}}\vspace{0.5em}
            \centering
            \href{run:src/part03_optimization/img/icosaedro_no_recruitment.mp4?autostart&loop}
            {\includegraphics[height=0.54\textheight]{icosaedro_thumbnail.png}}
        \end{block}
    
        %\vspace{-1em}
        \column[t]{0.30\textwidth}
        \begin{block}{\centering $\lambda_{max} = 1.1$}\vspace{0.5em}
            \centering
            \href{run:src/part03_optimization/img/icosaedro_recruitment.mp4?autostart&loop}
            {\includegraphics[height=0.54\textheight]{icosaedro_thumbnail.png}}
        \end{block}
        
    \end{columns}
    
    
    \vspace{-1.25em}    
    \begin{columns}
        \column[t]{0.40\textwidth}
        
        \column[t]{0.60\textwidth}
        \vspace{-2.0em}
        \par\noindent\rule{0.5\textwidth}{0.5pt}\\[0.1em]
        \small
        $k_f/k_g = 1.0$
        
    \end{columns}    
    
\end{frame}



\subsection{Cuboid}
\begin{frame}{Cuboid - $k_f/k_g$}\vspace{-3em}
    
\vspace{1em}
\begin{columns}
    \column[c]{0.37\textwidth}
    \begin{block}{}
        \centering
        \includegraphics[height=0.4\textheight]{mwe.case.cuboid_sketch.pdf}
    \end{block}
    
    \vspace{-1.75em}
      
    \begin{block}{}
        \centering
        \includegraphics[height=0.5\textheight]{case_cuboid_displacements_sol_a.pdf}
    \end{block} 
    
%
% simulations
%        
    \column[c]{0.21\textwidth}%\vspace{length}
    \begin{block}{\centering\small $k_f/k_g = 0.01$}\vspace{0.1em}
        \centering
        \href{run:src/part03_optimization/img/cuboid_kratio_0.01.mp4?autostart&loop}
        {\includegraphics[height=0.65\textheight]{cuboid_thumbnail.png}}
    \end{block}
    
    
    \column[c]{0.21\textwidth}
    \begin{block}{\centering\small $k_f/k_g = 0.1$}\vspace{0.1em}
        \centering
        \href{run:src/part03_optimization/img/cuboid_kratio_0.1.mp4?autostart&loop}
        {\includegraphics[height=0.65\textheight]{cuboid_thumbnail.png}}
    \end{block}
    
    \column[c]{0.21\textwidth}
    \begin{block}{\centering\small $k_f/k_g = 1$}\vspace{0.1em}
        \centering
        \href{run:src/part03_optimization/img/cuboid_kratio_1.0.mp4?autostart&loop}
        {\includegraphics[height=0.65\textheight]{cuboid_thumbnail.png}}
    \end{block}

\end{columns}
    
\end{frame}


\begin{frame}{Cuboid - $\lambda_{max}$}\vspace{-3em}
    
\vspace{1em}
\begin{columns}
    \column[c]{0.37\textwidth}
    \begin{block}{}
        \centering
        \includegraphics[height=0.4\textheight]{mwe.case.cuboid_sketch.pdf}
    \end{block}
    
    \vspace{-1.75em}
    
    \begin{block}{}
        \centering
        \includegraphics[height=0.5\textheight]{case_cuboid_displacements_sol_b.pdf}
    \end{block} 
    
%
% simulations
%        
    \column[c]{0.21\textwidth}%\vspace{length}
    \begin{block}{\centering\small no recruitment \vphantom{$\lambda_{max}$}\vphantom{$k_f/k_g$}}\vspace{0.1em}
        \centering
        \href{run:src/part03_optimization/img/cuboid_kratio_1.0.mp4?autostart&loop}
        {\includegraphics[height=0.65\textheight]{cuboid_thumbnail.png}}
    \end{block}
    
    
    \column[c]{0.21\textwidth}
    \begin{block}{\centering\small $\lambda_{max} = 3.0$\vphantom{$k_f/k_g$}}\vspace{0.1em}
        \centering
        \href{run:src/part03_optimization/img/cuboid_recruitment_3.0.mp4?autostart&loop}
        {\includegraphics[height=0.65\textheight]{cuboid_thumbnail.png}}
    \end{block}
    
    \column[c]{0.21\textwidth}
    \begin{block}{\centering\small $\lambda_{max} = 1.5$\vphantom{$k_f/k_g$}}\vspace{0.1em}
        \centering
        \href{run:src/part03_optimization/img/cuboid_recruitment_1.5.mp4?autostart&loop}
        {\includegraphics[height=0.65\textheight]{cuboid_thumbnail.png}}
    \end{block}
    
\end{columns}    
    
    
\end{frame}